Bug 46138 - libmspack: Multiple issues (4.2)
libmspack: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
http://metadata.ftp-master.debian.org...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-24 19:11 CET by Philipp Hahn
Modified: 2018-05-08 14:56 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 6.5 (CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-01-24 19:11:22 CET
libmspack (0.5-1+deb8u1) jessie-security; urgency=high

* Fix mis-handling of sys->read() errors in cabd_read_string() (CVE-2017-11423)
* Reject negative output length in SpanInfo (CVE-2017-6419)
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:55 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:57:31 CEST
--- mirror/ftp/4.1/unmaintained/4.1-0/source/libmspack_0.5-1.5.201510261830.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/libmspack_0.5-1.A~4.2.3.201801211553.dsc
@@ -1,6 +1,15 @@
-0.5-1.5.201510261830 [Mon, 26 Oct 2015 18:30:38 +0100] Univention builddaemon <buildd@univention.de>:
+0.5-1.A~4.2.3.201801211553 [Wed, 24 Jan 2018 11:04:08 +0100] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+0.5-1+deb8u1 [Wed, 16 Aug 2017 21:42:50 +0200] Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
+
+  * Non-maintainer upload.
+  * Correct rejection of empty strings.
+  * Fix mis-handling of sys->read() errors in cabd_read_string()
+    (CVE-2017-11423) (Closes: #868956).
+  * Reject negative output length in SpanInfo (CVE-2017-6419)
+    (Closes: #871263).
 
 0.5-1 [Mon, 02 Feb 2015 19:41:59 +0100] Marc Dequènes (Duck) <Duck@DuckCorp.org>:
Comment 3 Arvid Requate univentionstaff 2018-05-07 21:55:01 CEST
* No UCS specific patches
* Comparison to previously and next shipped version ok
* Binary package update Ok
* Advisory Ok
Comment 4 Arvid Requate univentionstaff 2018-05-08 14:56:45 CEST
<http://errata.software-univention.de/ucs/4.2/348.html>